Bug 1291757 - CFME allows deletion of default compute and storage chargeback rates
Summary: CFME allows deletion of default compute and storage chargeback rates
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.4.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.5.5
Assignee: Greg Piatigorski
QA Contact: Nandini Chandra
URL:
Whiteboard: chargeback
Depends On: 1206285
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-15 14:52 UTC by John Prause
Modified: 2019-07-11 09:55 UTC (History)
13 users (show)

Fixed In Version: 5.5.5.0
Doc Type: Bug Fix
Doc Text:
In the previous version of CloudForms Management Engine, it was possible to delete the default compute and storage charge back rates, and there was no way to recover the default rates after deletion. This bug was fixed by renaming default rates to sample rates, allowing them to be copied, edited, deleted, and changing code so that any rate that is currently in use can not be deleted. The default compute and storage chargeback rates can no longer be deleted in the new version of CloudForms Management Engine.
Clone Of: 1206285
Environment:
Last Closed: 2016-07-26 15:30:36 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 3 Greg Piatigorski 2016-02-19 21:05:34 UTC
Fix applied, ready for testing

GH: https://github.com/ManageIQ/manageiq/pull/6525

Note: Code now disallows deletion of Assigned Rates, switch from "Default" to "Sample" has been handed off to Spain as part of their larger changes to Chargeback Rates process. PR for that code fix has been closed, #4944

Comment 12 Greg Piatigorski 2016-05-13 20:05:35 UTC
MR re-created, code fix should be there. We do need to change doc text, per my note above, to reflect new business rule.

MR: https://gitlab.cloudforms.lab.eng.rdu2.redhat.com/cloudforms/cfme/merge_requests/938

Comment 16 Nandini Chandra 2016-07-07 09:22:16 UTC
Verified that assigned Compute and Storage rates cannot be deleted.

Verified in 5.5.5

Comment 18 errata-xmlrpc 2016-07-26 15:30:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.